SDL_RenderGeometry(3)

NAME
SDL_RenderGeometry - Render a list of triangles, optionally using a texture and indices into the vertex array Color and alpha modulation is done per vertex ( SDL_SetTextureColorMod
 and SDL_SetTextureAlphaMod
 are ignored).

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_RenderGeometry(SDL_Renderer *renderer,
                       SDL_Texture *texture,
                       const SDL_Vertex *vertices, int num_vertices,
                       const int *indices, int num_indices);

FUNCTION PARAMETERS

renderer
    The rendering context.

texture
    (optional) The SDL texture to use.

vertices
    Vertices.

num_vertices
    Number of vertices.

indices
    (optional) An array of integer indices into the 'vertices' array, if NULL all vertices will be rendered in sequential order.

num_indices
    Number of indices.

RETURN VALUE
Returns 0 on success, or -1 if the operation is not supported

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_RenderGeometryRaw(3)